Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class GetProcessInstancesCommand

    java.lang.Object
      org.jbpm.command.AbstractGetObjectBaseCommand
          org.jbpm.command.GetProcessInstancesCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class GetProcessInstancesCommand

extends AbstractGetObjectBaseCommand

This command can retrieve all process instances (e.g. for admin client). You have the possibility to filter the command, therefor use the available attributes

Author:
  Bernd Ruecker (bernd.ruecker@camunda.com)
See Also:
  Serialized Form

Constructor Summary
`GetProcessInstancesCommand()`

Method Summary
`java.lang.Object` | `execute(JbpmContext jbpmContext)`
`java.util.Date` | `getFromStartDate()`
`java.lang.String` | `getProcessName()`
`java.lang.String` | `getStateName()`
`java.util.Date` | `getUntilStartDate()`
`boolean` | `isOnlyRunning()`
`java.util.List` | `retrieveProcessInstanceDetails(java.util.List processInstanceList)` access everything on all processInstance objects, which is not in the default fetch group from hibernate, but needs to be accesible from the client overwrite this, if you need more details in your client
`void` | `setFromStartDate(java.util.Date fromStartDate)`
`void` | `setOnlyRunning(boolean onlyRunning)`
`void` | `setProcessName(java.lang.String processName)`
`void` | `setStateName(java.lang.String stateName)`
`void` | `setUntilStartDate(java.util.Date untilStartDate)`

Methods inherited from class org.jbpm.command.AbstractGetObjectBaseCommand
`getVariablesToInclude, isIncludeAllVariables, isIncludeLogs, retrieveLogs, retrieveProcessInstance, retrieveTaskInstanceDetails, retrieveToken, retrieveVariables, retrieveVariables, setIncludeAllVariables, setIncludeLogs, setVariablesToInclude, setVariablesToInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProcessInstancesCommand

    public GetProcessInstancesCommand()

Method Detail

### execute

    public java.lang.Object execute(JbpmContext jbpmContext)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### retrieveProcessInstanceDetails

    public java.util.List retrieveProcessInstanceDetails(java.util.List processInstanceList)

  access everything on all processInstance objects, which is not in the default fetch group from hibernate, but needs to be accesible from the client overwrite this, if you need more details in your client

  Parameters:
    `pi` -
  Returns:

### getFromStartDate

    public java.util.Date getFromStartDate()

### setFromStartDate

    public void setFromStartDate(java.util.Date fromStartDate)

### isOnlyRunning

    public boolean isOnlyRunning()

### setOnlyRunning

    public void setOnlyRunning(boolean onlyRunning)

### getProcessName

    public java.lang.String getProcessName()

### setProcessName

    public void setProcessName(java.lang.String processName)

### getStateName

    public java.lang.String getStateName()

### setStateName

    public void setStateName(java.lang.String stateName)

### getUntilStartDate

    public java.util.Date getUntilStartDate()

### setUntilStartDate

    public void setUntilStartDate(java.util.Date untilStartDate)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD